using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.DTable_Test
{
	/// <summary>
	/// d100 的摘要说明。
	/// </summary>
	public class d100 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label1;
		protected dmenu.Dmenu Dmenu1;
		
		
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
		 

			Dmenu1.Data_DataconnectString =sharecode.DataconnectString;
			
			Dmenu1.Sty_UrlTarget="_self"; 
			Dmenu1.List_restriction="menu_lb='dtable4.0示例'";



			if(sharecode.GetSessionValue("mydtable_user")=="cupfu")
			{
				DTable1.Edit_EnableDel =true;
				DTable1.Edit_EnableEdt=true;
				DTable1.Show_Enable =true;
				DTable1.List_Enable =true;
			}
//			DTable1.ConnStr="data source=localhost;integrated security=sspi;initial catalog=northwind_test"; 
			DTable1.ConnStr =sharecode.DataconnectString;

			DTable1.List_SQL="select 雇员id,姓氏 + 名字 as 姓名,职务,尊称,出生日期,城市,分机,'images/minipicture/' + 照片 as 照片 from 雇员 order by 雇员id desc";
			DTable1.TableName="雇员";
			//DTable1.List_ClickSet="2|1|showclick|本按钮传递了第1列的值^5|0|showclick|本按钮传递了行的ID值";
			DTable1.Edit_EnableAdd=true;
			DTable1.Edit_EnableEdt =true;
			DTable1.Menu_Enable =true;
			DTable1.Page_Size=5;
			//DTable1.Edit_EnableDel=true; 
			DTable1.List_Child="select 订单id,订购日期,到货日期,运货费,货主名称,货主城市,货主地区,货主邮政编码,货主国家,雇员ID from 订单 where [雇员ID]|click.aspx?mid=|_blank";
			
			//DTable1.AE_ReplaceField_Set ="13|"; 
			DTable1.Edit_FieldFormat="13||dbselectvalue|select 雇员id,姓氏 + 名字 as 姓名 from 雇员||||";
		DTable1.Edit_FieldList ="雇员ID,姓氏,名字,职务,尊称,出生日期,雇用日期,城市,地区,邮政编码,国家,家庭电话,分机,上级,照片,地址,备注";
			DTable1.Show_SQL="select 雇员id,姓氏 + 名字 as 姓名,职务,尊称,出生日期,雇用日期,地址,城市,地区,邮政编码,国家,家庭电话,分机,'images/' + 照片 as 照片,备注 from 雇员 where 雇员id=";
			//DTable1.Show_UrlImage_Field ="|13|";
			DTable1.Show_FieldFormat="13||urlimage|images/minipicture/|images/|||";
			DTable1.Edit_Miniature_Width=50;
			DTable1.Edit_Miniature_Height =50;
		DTable1.List_Child_Click="2|1|showchildclick|子表点击演示^4|5|showchildclick|";
			//DTable1.AE_Upfile_SaveFdName =false;
			//DTable1.AE_Upfiles_No="|14|"; 
			DTable1.Edit_FieldFormat="14||urlfile|images/||images/minipicture/||";
			//DTable1.AE_UpFilesFd ="images/";
			//DTable1.AE_Miniature_Fd="images/minipicture/"; 
			//DTable1.AE_Miniature_No="|14|"; 
			//DTable1.List_UrlImage_No="|7|";
			DTable1.List_FieldFormat="7||urlimage|images/minipicture/|images/|||";
			
			if(sharecode.GetQueryStringValue("scbt")!="")//如果有传入的表格参数,处理传入的表格样式参数
			{
				Page.Response.Cookies["scbt"].Value=sharecode.GetQueryStringValue("scbt");
				Page.Response.Cookies["scbt"].Expires =System.DateTime.Today.AddDays(100);
			DTable1.List_DoubleTitle ="|1|2|3|@个人信息^|5|6|@双层表头2";
			}
			else if (sharecode.GetCookieValue("scbt")!="")//否则检查是否有保存的cookies
			{
				
				DTable1.List_DoubleTitle ="|1|2|3|@个人信息^|5|6|@双层表头2";
				
			}








			
			
			if(sharecode.GetQueryStringValue("style")!="")//如果有传入的表格参数,处理传入的表格样式参数
			{
				Page.Response.Cookies["style"].Value=sharecode.GetQueryStringValue("style");
				Page.Response.Cookies["style"].Expires =System.DateTime.Today.AddDays(100);
				DTable1.List_StyNum=System.Convert.ToInt32(sharecode.GetQueryStringValue("style").ToString());
			}
			else if (sharecode.GetCookieValue("style")!="")//否则检查是否有保存的cookies
			{
				
DTable1.List_StyNum=System.Convert.ToInt32(sharecode.GetCookieValue("style").ToString()); 
				
				}


			if(sharecode.GetQueryStringValue("aelist")!="")//如果有传入的表格参数,处理传入的表格样式参数
			{
				Page.Response.Cookies["aelist"].Value=sharecode.GetQueryStringValue("aelist");
				Page.Response.Cookies["aelist"].Expires =System.DateTime.Today.AddDays(100);
				if (sharecode.GetQueryStringValue("aelist")=="2")
				{
					DTable1.Edit_Sty_Table=true;
				}
				else
				{
					DTable1.Edit_Sty_Table=false;
				}
			}
			else if (sharecode.GetCookieValue("aelist")!="")//否则检查是否有保存的cookies
			{
				if(sharecode.GetCookieValue("aelist")=="2")
				{
DTable1.Edit_Sty_Table=true;
				}
				else
				{
					DTable1.Edit_Sty_Table=false;
				}
			}

//开始处理单选按钮
			if(sharecode.GetQueryStringValue("showradio")!="")//如果有传入的单选参数,处理传入的单选样式参数
			{
				Page.Response.Cookies["showradio"].Value=sharecode.GetQueryStringValue("showradio");
				Page.Response.Cookies["showradio"].Expires =System.DateTime.Today.AddDays(100);
				if (sharecode.GetQueryStringValue("showradio")=="true")
				{
					Page.Response.Cookies["showcheckbox"].Value="";
					//DTable1.List_No_IsCheckBox=false;

					//DTable1.List_No_IsRadioButton=true;
					DTable1.List_NumCol="radio||||||||";
					
				}
				else
				{
					//DTable1.List_No_IsRadioButton=false;
					DTable1.List_NumCol="";

				}
			}
				
			else if(sharecode.GetQueryStringValue("showcheckbox")!="")//如果有传入的复选参数,处理传入的复选样式参数
			{
				Page.Response.Cookies["showcheckbox"].Value=sharecode.GetQueryStringValue("showcheckbox");
				Page.Response.Cookies["showcheckbox"].Expires =System.DateTime.Today.AddDays(100);
				if (sharecode.GetQueryStringValue("showcheckbox")=="true")
				{
					//DTable1.List_No_IsRadioButton =false;
					DTable1.List_NumCol="checkbox||||||||";
					Page.Response.Cookies["showradio"].Value="";
					//DTable1.List_No_IsCheckBox =true;
					
					
				}
				else
				{
					//DTable1.List_No_IsCheckBox=false;

					DTable1.List_NumCol="";
				}
			}
			else if (sharecode.GetCookieValue("showradio")!="")//否则检查是否有保存的cookies
			{
				if(sharecode.GetCookieValue("showradio")=="true")
				{
					Page.Response.Cookies["showcheckbox"].Value="";
					//DTable1.List_No_IsCheckBox=false;
					//DTable1.List_No_IsRadioButton=true;
					DTable1.List_NumCol="radio||||||||";
					
				}
				else
				{
					//DTable1.List_No_IsRadioButton=false;
					DTable1.List_NumCol="";
				}
			}



			//开始处理复选按钮
			
				
			else if (sharecode.GetCookieValue("showcheckbox")!="")//否则检查是否有保存的cookies
			{
				if(sharecode.GetCookieValue("showcheckbox")=="true")
				{
					//DTable1.List_No_IsRadioButton =false;
					Page.Response.Cookies["showradio"].Value="";
					//DTable1.List_No_IsCheckBox=true;
					DTable1.List_NumCol="checkbox||||||||";
					
				}
				else
				{
					//DTable1.List_No_IsCheckBox=false;
					DTable1.List_NumCol="";
				}
			}
string tmpabc="";


			if(sharecode.GetQueryStringValue("searchmode")!="")//开始处理传入的查询模式
			{
				Page.Response.Cookies["searchmode"].Value=sharecode.GetQueryStringValue("searchmode");
				Page.Response.Cookies["searchmode"].Expires =System.DateTime.Today.AddDays(100);
				
				DTable1.Search_Mode=System.Convert.ToInt32(sharecode.GetQueryStringValue("searchmode"));
			}
			else if (sharecode.GetCookieValue("searchmode")!="")//否则检查是否有保存的cookies
			{
				DTable1.Search_Mode=System.Convert.ToInt32(sharecode.GetCookieValue("searchmode"));
			}
			if (DTable1.Search_Mode==3 || DTable1.Search_Mode==4)
			{
tmpabc="<input type='button' onClick=showdtablesearchlay(); value='调出内置查询'>";
			}
			
	
			DTable1.Search="姓氏_dtablestring|姓|like^出生日期_dtabletime|生日|=^城市_dtablestring|城市|like^分机_dtablenumeric|分机|=";
		

		string tmpaa=Page.Request.QueryString.ToString();//获取当前传入的参数
			if(tmpaa!="" && sharecode.GetQueryStringValue("style").ToString()!="")//开始替换当前的表格样式参数
			{
tmpaa=tmpaa.Replace("style=" + sharecode.GetQueryStringValue("style").ToString(),"");
			}

			if(tmpaa!="" && sharecode.GetQueryStringValue("aelist").ToString()!="")//开始替换当前的AE列样式参数
			{
				tmpaa=tmpaa.Replace("aelist=" + sharecode.GetQueryStringValue("aelist").ToString(),"");
			}

			if(tmpaa!="" && sharecode.GetQueryStringValue("showradio").ToString()!="")//开始替换当前的radio
			{
				tmpaa=tmpaa.Replace("showradio=" + sharecode.GetQueryStringValue("showradio").ToString(),"");
			}

			if(tmpaa!="" && sharecode.GetQueryStringValue("showcheckbox").ToString()!="")//开始替换当前的checkbox
			{
				tmpaa=tmpaa.Replace("showcheckbox=" + sharecode.GetQueryStringValue("showcheckbox").ToString(),"");
			}
			if(tmpaa!="" && sharecode.GetQueryStringValue("searchmode").ToString()!="")//开始替换当前的searchmode
			{
				tmpaa=tmpaa.Replace("searchmode=" + sharecode.GetQueryStringValue("searchmode").ToString(),"");
			}

			//处理参数第一个字符是否为&
			if(tmpaa!="" && tmpaa.Substring(0,1).IndexOf("&")<0)
			{
tmpaa="&" + tmpaa;
			}

			//开始AE状态单双列转换按钮
			if(sharecode.GetQueryStringValue("meditid")!="" || sharecode.GetQueryStringValue("addnew")!="")
			{
				Label1.Text=" <input type='button' onClick=window.open('?','_self',''); value='返回记录列表'> <input type='button' onClick=window.open('?aelist=1" + tmpaa + "','_self',''); value='单列显示'> <input type='button' onClick=window.open('?aelist=2" + tmpaa + "','_self',''); value='双列显示'> ";
			}
			else//显示内置查询按钮
			{
				Label1.Text=" <select name='menu12' onChange=MM_jumpMenu('_self',this,0)><option value='?" + tmpaa + "'>请选择行首显示风格</option><option value='?showradio=true" + tmpaa + "'>单选按钮</option><option value='?showcheckbox=true" + tmpaa + "'>复选按钮</option></select> <select name='menu123' onChange=MM_jumpMenu('parent',this,0)><option value='?searchmode=0" + tmpaa + "'>选择查询内置表单的模式</option><option value='?searchmode=1" + tmpaa + "'>自动模式</option><option value='?searchmode=2" + tmpaa + "'>高级模式</option><option value='?searchmode=3" + tmpaa + "'>隐藏的自动模式</option><option value='?searchmode=4" + tmpaa + "'>隐藏的高级模式</option> " + tmpabc;
			}
			
Label1.Text+=" <input type='button' onClick=window.open('?addnew=true','_self',''); value='添加记录'> <select name='menu1' onChange=MM_jumpMenu('_self',this,0)><option value='?" + tmpaa + "'>请选择数据表风格</option><option value='?style=0" + tmpaa + "'>表格默认风格</option><option value='?style=1" + tmpaa + "'>List_StyNum=1 细线经典表格</option><option value='?style=2" + tmpaa + "'>List_StyNum=2 细线浅灰</option><option value='?style=3" + tmpaa + "'>List_StyNum=3 沙黄</option><option value='?style=4" + tmpaa + "'>List_StyNum=4 高对比黑白</option><option value='?style=5" + tmpaa + "'>List_StyNum=5 亮绿</option><option value='?style=6" + tmpaa + "'>List_StyNum=6 亮海蓝</option><option value='?style=7" + tmpaa + "'>List_StyNum=7 亮蓝灰</option><option value='?style=8" + tmpaa + "'>List_StyNum=8 深海军蓝</option><option value='?style=9" + tmpaa + "'>List_StyNum=9 浅橄榄绿</option><option value='?style=10" + tmpaa + "'>List_StyNum=10 浅月亮绿</option><option value='?style=11" + tmpaa + "'>List_StyNum=11 彩蓝表格</option><option value='?style=12" + tmpaa + "'>List_StyNum=12 浅灰表格</option><option value='?style=13" + tmpaa + "'>List_StyNum=13 沙黄表格</option><option value='?style=14" + tmpaa + "'>List_StyNum=14 高对比黑白表格</option><option value='?style=15" + tmpaa + "'>List_StyNum=15 亮绿表格</option><option value='?style=16" + tmpaa + "'>List_StyNum=16 亮海蓝表格</option><option value='?style=17" + tmpaa + "'>List_StyNum=17 亮蓝灰表格</option><option value='?style=18" + tmpaa + "'>List_StyNum=18 深海军蓝表格</option><option value='?style=19" + tmpaa + "'>List_StyNum=19 浅橄榄绿表格</option><option value='?style=20" + tmpaa + "'>List_StyNum=20 浅月亮绿表格</option><option value='?style=21" + tmpaa + "'>List_StyNum=21 数据表格式</option></select>";
			

		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
